<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xpath-default-namespace="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs"
    version="2.0">
    <xsl:template match="/">
        <xsl:result-document method="text" href="edges.csv" byte-order-mark="yes">
            <xsl:text>source;target;label</xsl:text>
            <xsl:apply-templates select="//relation"/>
        </xsl:result-document>
<!--        <xsl:result-document href="edges.csv" byte-order-mark="yes">
            <xsl:text>source;target;label</xsl:text>
            <xsl:apply-templates select="//relation"/>
        </xsl:result-document>-->
    </xsl:template>
    <xsl:template match="relation[@active]">
        <xsl:text>
</xsl:text><xsl:value-of select="@active/substring-after(.,'#')"/>
        <xsl:text>;</xsl:text>
        <xsl:value-of select="@passive/substring-after(.,'#')"/>
        <xsl:text>;</xsl:text>
        <xsl:value-of select="@name"/>
    </xsl:template>
    <xsl:template match="relation[@mutual]">
        <xsl:text>
</xsl:text>
        <xsl:for-each select="tokenize(@mutual, ' ')">
            <xsl:value-of select="substring-after(.,'#')"/>
            <xsl:if test="not(last())"><xsl:text>;</xsl:text></xsl:if>
        </xsl:for-each>
        <xsl:text>;</xsl:text>
        <xsl:value-of select="@name"/>
    </xsl:template>
</xsl:stylesheet>